function v = Euler_to_Exp(x)  

naught = zeros(size(x,1),1);
qx = quaternion(cos(x(:,1)/2), sin(x(:,1)/2), naught, naught); 
qy = quaternion(cos(x(:,2)/2), naught, sin(x(:,2)/2), naught);
qz = quaternion(cos(x(:,3)/2), naught, naught, sin(x(:,3)/2)); 

q = qz.*qy.*qx;

v = vector(q);
theta = 2*angle(q); 
validIdx = find(theta ~= 0);
v(validIdx) = axis(q(validIdx));
v = theta .* v;