function params = toOptimizerParams(Us, Hps, Phps, theta, beta) 

nfactor = length(Us); 
params = []; 
for n=1:nfactor
    params = [params Us{n}(:)' log(Hps{n}) log(Phps{n})]; 
end
params = [params log(theta) log(beta)]; 
